=== modified file 'plugin/function_engine/cursor.cc'
--- plugin/function_engine/cursor.cc	2010-02-12 19:27:55 +0000
+++ plugin/function_engine/cursor.cc	2010-02-17 23:34:16 +0000
@@ -96,7 +96,8 @@
 {
   unsigned char *copy;
 
-  copy= (unsigned char *)malloc(table->s->reclength);
+  copy= (unsigned char *)calloc(table->s->reclength, sizeof(unsigned char));
+  assert(copy);
   memcpy(copy, record, table->s->reclength);
   row_cache.push_back(copy);
   internal::my_store_ptr(ref, ref_length, record_id);

=== modified file 'plugin/status_dictionary/state_tool.h'
--- plugin/status_dictionary/state_tool.h	2010-02-10 09:10:08 +0000
+++ plugin/status_dictionary/state_tool.h	2010-02-17 23:34:16 +0000
@@ -44,7 +44,7 @@
     drizzled::system_status_var status;
     drizzled::system_status_var *status_ptr;
 
-    void fill(const char *name, char *value, drizzled::SHOW_TYPE show_type);
+    void fill(const std::string &name, char *value, drizzled::SHOW_TYPE show_type);
 
     drizzled::system_status_var *getStatus()
     {

=== modified file 'plugin/status_dictionary/status.cc'
--- plugin/status_dictionary/status.cc	2010-02-12 08:22:06 +0000
+++ plugin/status_dictionary/status.cc	2010-02-17 23:34:16 +0000
@@ -38,7 +38,7 @@
   option_type(global ? OPT_GLOBAL : OPT_SESSION)
 {
   add_field("VARIABLE_NAME");
-  add_field("VARIABLE_VALUE", 16300);
+  add_field("VARIABLE_VALUE", 1024);
 }
 
 StateTool::Generator::Generator(Field **arg, sql_var_t option_arg,
@@ -122,13 +122,15 @@
 }
 
 
-void StateTool::Generator::fill(const char *name, char *value, SHOW_TYPE show_type)
+extern drizzled::KEY_CACHE dflt_key_cache_var, *dflt_key_cache;
+void StateTool::Generator::fill(const std::string &name, char *value, SHOW_TYPE show_type)
 {
-  MY_ALIGNED_BYTE_ARRAY(buff_data, SHOW_VAR_FUNC_BUFF_SIZE, int64_t);
-  char * const buff= (char *) &buff_data;
   Session *session= current_session;
-  const char *pos, *end;                  // We assign a lot of const's
   struct system_status_var *status_var;
+  std::ostringstream oss;
+
+
+  std::string return_value;
 
   /* Scope represents if the status should be session or global */
   status_var= getStatus();
@@ -142,7 +144,6 @@
                                                  &null_lex_str);
   }
 
-  pos= end= buff;
   /*
     note that value may be == buff. All SHOW_xxx code below
     should still work in this case
@@ -152,62 +153,65 @@
     value= ((char *) status_var + (ulong) value);
     /* fall through */
   case SHOW_DOUBLE:
-    /* 6 is the default precision for '%f' in sprintf() */
-    end= buff + internal::my_fcvt(*(double *) value, 6, buff, NULL);
+    oss.precision(6);
+    oss << *(double *) value;
+    return_value= oss.str();
     break;
   case SHOW_LONG_STATUS:
     value= ((char *) status_var + (ulong) value);
     /* fall through */
   case SHOW_LONG:
-    end= internal::int10_to_str(*(long*) value, buff, 10);
+    oss << *(int64_t*) value;
+    return_value= oss.str();
     break;
   case SHOW_LONGLONG_STATUS:
     value= ((char *) status_var + (uint64_t) value);
     /* fall through */
   case SHOW_LONGLONG:
-    end= internal::int64_t10_to_str(*(int64_t*) value, buff, 10);
+    oss << *(int64_t*) value;
+    return_value= oss.str();
     break;
   case SHOW_SIZE:
-    {
-      stringstream ss (stringstream::in);
-      ss << *(size_t*) value;
-
-      string str= ss.str();
-      strncpy(buff, str.c_str(), str.length());
-      end= buff+ str.length();
-    }
+    oss << *(size_t*) value;
+    return_value= oss.str();
     break;
   case SHOW_HA_ROWS:
-    end= internal::int64_t10_to_str((int64_t) *(ha_rows*) value, buff, 10);
+    oss << (int64_t) *(ha_rows*) value;
+    return_value= oss.str();
     break;
+    return_value= oss.str();
   case SHOW_BOOL:
-    end+= sprintf(buff,"%s", *(bool*) value ? "ON" : "OFF");
-    break;
   case SHOW_MY_BOOL:
-    end+= sprintf(buff,"%s", *(bool*) value ? "ON" : "OFF");
+    return_value= *(bool*) value ? "ON" : "OFF";
     break;
   case SHOW_INT:
   case SHOW_INT_NOFLUSH: // the difference lies in refresh_status()
-    end= internal::int10_to_str((long) *(uint32_t*) value, buff, 10);
+    oss << (long) *(uint32_t*) value;
+    return_value= oss.str();
     break;
   case SHOW_CHAR:
     {
-      if (!(pos= value))
-        pos= "";
-      end= strchr(pos, '\0');
+      if (value)
+        return_value= value;
       break;
     }
   case SHOW_CHAR_PTR:
     {
-      if (!(pos= *(char**) value))
-        pos= "";
-      end= strchr(pos, '\0');
+      if (*(char**) value)
+        return_value= *(char**) value;
+
       break;
     }
   case SHOW_KEY_CACHE_LONG:
+    value= (char*) dflt_key_cache + (unsigned long)value;
+    oss << *(long*) value;
+    return_value= oss.str();
+    break;
   case SHOW_KEY_CACHE_LONGLONG:
-    pos= "not supported";
-    end= pos + sizeof("not supported");
+    value= (char*) dflt_key_cache + (unsigned long)value;
+    oss << *(int64_t*) value;
+    return_value= oss.str();
+    break;
   case SHOW_UNDEF:
     break;                                        // Return empty string
   case SHOW_SYS:                                  // Cannot happen
@@ -217,8 +221,8 @@
   }
   pthread_mutex_unlock(&LOCK_global_system_variables);
   push(name);
-  if (end - pos)
-    push(pos, (uint32_t) (end - pos));
+  if (return_value.length())
+    push(return_value);
   else 
-    push();
+    push(" ");
 }

=== modified file 'plugin/status_dictionary/tests/r/data_dictionary.result'
--- plugin/status_dictionary/tests/r/data_dictionary.result	2010-02-10 19:50:22 +0000
+++ plugin/status_dictionary/tests/r/data_dictionary.result	2010-02-17 23:34:16 +0000
@@ -4,37 +4,37 @@
 Table	Create Table
 GLOBAL_STATUS	CREATE TABLE `global_status` (
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(16300) NOT NULL DEFAULT ''
+  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
 show create table GLOBAL_STATEMENTS ;
 Table	Create Table
 GLOBAL_STATEMENTS	CREATE TABLE `global_statements` (
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(16300) NOT NULL DEFAULT ''
+  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
 show create table GLOBAL_VARIABLES ;
 Table	Create Table
 GLOBAL_VARIABLES	CREATE TABLE `global_variables` (
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(16300) NOT NULL DEFAULT ''
+  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
 show create table SESSION_STATEMENTS;
 Table	Create Table
 SESSION_STATEMENTS	CREATE TABLE `session_statements` (
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(16300) NOT NULL DEFAULT ''
+  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
 show create table SESSION_STATUS;
 Table	Create Table
 SESSION_STATUS	CREATE TABLE `session_status` (
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(16300) NOT NULL DEFAULT ''
+  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
 show create table SESSION_VARIABLES;
 Table	Create Table
 SESSION_VARIABLES	CREATE TABLE `session_variables` (
   `VARIABLE_NAME` varchar(64) NOT NULL DEFAULT '',
-  `VARIABLE_VALUE` varchar(16300) NOT NULL DEFAULT ''
+  `VARIABLE_VALUE` varchar(1024) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
 SELECT count(*) FROM data_dictionary.GLOBAL_STATEMENTS;
 count(*)

=== added file 'plugin/status_dictionary/tests/r/select_order.result'
--- plugin/status_dictionary/tests/r/select_order.result	1970-01-01 00:00:00 +0000
+++ plugin/status_dictionary/tests/r/select_order.result	2010-02-17 23:34:16 +0000
@@ -0,0 +1,6 @@
+CREATE SCHEMA data_dictionary;
+use data_dictionary;
+SELECT 1;
+1
+1
+DROP SCHEMA data_dictionary;

=== added file 'plugin/status_dictionary/tests/t/select_order.test'
--- plugin/status_dictionary/tests/t/select_order.test	1970-01-01 00:00:00 +0000
+++ plugin/status_dictionary/tests/t/select_order.test	2010-02-17 23:34:16 +0000
@@ -0,0 +1,23 @@
+CREATE SCHEMA data_dictionary;
+use data_dictionary;
+
+# Just to see output
+SELECT 1;
+
+#  This needs a bug filed against it.
+
+#--replace_column 1 # 2 #
+#SELECT *
+#FROM data_dictionary.session_variables
+#ORDER BY variable_name;
+
+#SELECT VARIABLE_NAME
+#FROM data_dictionary.session_variables
+#ORDER BY variable_name;
+
+#--replace_column 1 #
+#SELECT VARIABLE_VALUE
+#FROM data_dictionary.session_variables
+#ORDER BY variable_name;
+
+DROP SCHEMA data_dictionary;

=== modified file 'tests/r/information_schema.result'
--- tests/r/information_schema.result	2010-02-17 07:49:18 +0000
+++ tests/r/information_schema.result	2010-02-17 23:34:16 +0000
@@ -266,14 +266,6 @@
 OLD_TABLE_CONSTRAINTS
 create table t1 (f1 int);
 create table t2 (f1 int, f2 int);
-select table_name from data_dictionary.tables
-where table_schema = 'test' and table_name not in
-(select table_name from information_schema.old_columns
-where table_schema = 'test' and column_name = 'f3')
-ORDER BY table_name;
-table_name
-t1
-t2
 drop table t1,t2;
 select 1 as f1 from data_dictionary.tables  where "CHARACTER_SETS"=
 (select cast(table_name as char)  from data_dictionary.tables
@@ -310,16 +302,6 @@
 f7 datetime not null,
 f8 datetime default '2006-01-01'
 );
-select column_default from information_schema.old_columns where table_name= 't1' ORDER BY column_default;
-column_default
-NULL
-NULL
-NULL
-NULL
-NULL
-
-10
-2006-01-01 00:00:00
 show columns from t1;
 Field	Type	Null	Key	Default	Extra
 f1	varchar(50)	YES		NULL	
@@ -384,509 +366,12 @@
 SELECT info, command, db
 FROM data_dictionary.processlist
 WHERE id = CONNECTION_ID()	Query	test
-SELECT table_name, column_name
-FROM data_dictionary.columns
-WHERE table_name IN
-(SELECT table_name FROM data_dictionary.tables )
-ORDER BY table_name;
-table_name	column_name
-INNODB_CMP	page_size
-INNODB_CMP	compress_ops
-INNODB_CMP	compress_ops_ok
-INNODB_CMP	compress_time
-INNODB_CMP	uncompress_ops
-INNODB_CMP	uncompress_time
-INNODB_CMPMEM	relocation_time
-INNODB_CMPMEM	relocation_ops
-INNODB_CMPMEM	pages_free
-INNODB_CMPMEM	pages_used
-INNODB_CMPMEM	page_size
-INNODB_CMPMEM_RESET	relocation_time
-INNODB_CMPMEM_RESET	relocation_ops
-INNODB_CMPMEM_RESET	pages_free
-INNODB_CMPMEM_RESET	pages_used
-INNODB_CMPMEM_RESET	page_size
-INNODB_CMP_RESET	uncompress_time
-INNODB_CMP_RESET	uncompress_ops
-INNODB_CMP_RESET	compress_time
-INNODB_CMP_RESET	compress_ops_ok
-INNODB_CMP_RESET	compress_ops
-INNODB_CMP_RESET	page_size
-INNODB_LOCKS	lock_data
-INNODB_LOCKS	lock_rec
-INNODB_LOCKS	lock_page
-INNODB_LOCKS	lock_space
-INNODB_LOCKS	lock_index
-INNODB_LOCKS	lock_table
-INNODB_LOCKS	lock_type
-INNODB_LOCKS	lock_mode
-INNODB_LOCKS	lock_trx_id
-INNODB_LOCKS	lock_id
-INNODB_LOCK_WAITS	blocking_lock_id
-INNODB_LOCK_WAITS	blocking_trx_id
-INNODB_LOCK_WAITS	requested_lock_id
-INNODB_LOCK_WAITS	requesting_trx_id
-INNODB_TRX	trx_query
-INNODB_TRX	trx_mysql_thread_id
-INNODB_TRX	trx_weight
-INNODB_TRX	trx_wait_started
-INNODB_TRX	trx_requested_lock_id
-INNODB_TRX	trx_started
-INNODB_TRX	trx_state
-INNODB_TRX	trx_id
-OLD_COLUMNS	CHARACTER_SET_NAME
-OLD_COLUMNS	COLLATION_NAME
-OLD_COLUMNS	COLUMN_TYPE
-OLD_COLUMNS	COLUMN_KEY
-OLD_COLUMNS	EXTRA
-OLD_COLUMNS	PRIVILEGES
-OLD_COLUMNS	COLUMN_COMMENT
-OLD_COLUMNS	STORAGE
-OLD_COLUMNS	FORMAT
-OLD_COLUMNS	NUMERIC_SCALE
-OLD_COLUMNS	NUMERIC_PRECISION
-OLD_COLUMNS	CHARACTER_OCTET_LENGTH
-OLD_COLUMNS	TABLE_CATALOG
-OLD_COLUMNS	TABLE_SCHEMA
-OLD_COLUMNS	TABLE_NAME
-OLD_COLUMNS	COLUMN_NAME
-OLD_COLUMNS	ORDINAL_POSITION
-OLD_COLUMNS	COLUMN_DEFAULT
-OLD_COLUMNS	IS_NULLABLE
-OLD_COLUMNS	DATA_TYPE
-OLD_COLUMNS	CHARACTER_MAXIMUM_LENGTH
-OLD_KEY_COLUMN_USAGE	ORDINAL_POSITION
-OLD_KEY_COLUMN_USAGE	POSITION_IN_UNIQUE_CONSTRAINT
-OLD_KEY_COLUMN_USAGE	REFERENCED_TABLE_SCHEMA
-OLD_KEY_COLUMN_USAGE	REFERENCED_TABLE_NAME
-OLD_KEY_COLUMN_USAGE	REFERENCED_COLUMN_NAME
-OLD_KEY_COLUMN_USAGE	COLUMN_NAME
-OLD_KEY_COLUMN_USAGE	TABLE_NAME
-OLD_KEY_COLUMN_USAGE	CONSTRAINT_CATALOG
-OLD_KEY_COLUMN_USAGE	CONSTRAINT_SCHEMA
-OLD_KEY_COLUMN_USAGE	CONSTRAINT_NAME
-OLD_KEY_COLUMN_USAGE	TABLE_CATALOG
-OLD_KEY_COLUMN_USAGE	TABLE_SCHEMA
-OLD_REFERENTIAL_CONSTRAINTS	REFERENCED_TABLE_NAME
-OLD_REFERENTIAL_CONSTRAINTS	TABLE_NAME
-OLD_REFERENTIAL_CONSTRAINTS	DELETE_RULE
-OLD_REFERENTIAL_CONSTRAINTS	UPDATE_RULE
-OLD_REFERENTIAL_CONSTRAINTS	MATCH_OPTION
-OLD_REFERENTIAL_CONSTRAINTS	UNIQUE_CONSTRAINT_NAME
-OLD_REFERENTIAL_CONSTRAINTS	UNIQUE_CONSTRAINT_SCHEMA
-OLD_REFERENTIAL_CONSTRAINTS	UNIQUE_CONSTRAINT_CATALOG
-OLD_REFERENTIAL_CONSTRAINTS	CONSTRAINT_NAME
-OLD_REFERENTIAL_CONSTRAINTS	CONSTRAINT_SCHEMA
-OLD_REFERENTIAL_CONSTRAINTS	CONSTRAINT_CATALOG
-OLD_STATISTICS	COLUMN_NAME
-OLD_STATISTICS	COLLATION
-OLD_STATISTICS	CARDINALITY
-OLD_STATISTICS	SUB_PART
-OLD_STATISTICS	SEQ_IN_INDEX
-OLD_STATISTICS	INDEX_NAME
-OLD_STATISTICS	INDEX_SCHEMA
-OLD_STATISTICS	NON_UNIQUE
-OLD_STATISTICS	TABLE_NAME
-OLD_STATISTICS	TABLE_SCHEMA
-OLD_STATISTICS	TABLE_CATALOG
-OLD_STATISTICS	PACKED
-OLD_STATISTICS	NULLABLE
-OLD_STATISTICS	INDEX_TYPE
-OLD_STATISTICS	COMMENT
-OLD_STATISTICS	INDEX_COMMENT
-OLD_TABLE_CONSTRAINTS	TABLE_NAME
-OLD_TABLE_CONSTRAINTS	TABLE_SCHEMA
-OLD_TABLE_CONSTRAINTS	CONSTRAINT_NAME
-OLD_TABLE_CONSTRAINTS	CONSTRAINT_SCHEMA
-OLD_TABLE_CONSTRAINTS	CONSTRAINT_CATALOG
-OLD_TABLE_CONSTRAINTS	CONSTRAINT_TYPE
 SELECT *
 FROM information_schema.old_key_column_usage;
 CONSTRAINT_CATALOG	CONSTRAINT_SCHEMA	CONSTRAINT_NAME	TABLE_CATALOG	TABLE_SCHEMA	TABLE_NAME	COLUMN_NAME	ORDINAL_POSITION	POSITION_IN_UNIQUE_CONSTRAINT	REFERENCED_TABLE_SCHEMA	REFERENCED_TABLE_NAME	REFERENCED_COLUMN_NAME
 SELECT * 
 FROM information_schema.old_referential_constraints;
 CONSTRAINT_CATALOG	CONSTRAINT_SCHEMA	CONSTRAINT_NAME	UNIQUE_CONSTRAINT_CATALOG	UNIQUE_CONSTRAINT_SCHEMA	UNIQUE_CONSTRAINT_NAME	MATCH_OPTION	UPDATE_RULE	DELETE_RULE	TABLE_NAME	REFERENCED_TABLE_NAME
-SELECT count(schema_name) FROM data_dictionary.schemas ORDER BY schema_name;
-count(schema_name)
-#
-SELECT *
-FROM data_dictionary.session_variables
-ORDER BY variable_name;
-VARIABLE_NAME	VARIABLE_VALUE
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-SELECT *
-FROM data_dictionary.global_status
-ORDER BY variable_name;
-VARIABLE_NAME	VARIABLE_VALUE
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-SELECT *
-FROM data_dictionary.global_variables
-ORDER BY variable_name;
-VARIABLE_NAME	VARIABLE_VALUE
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
 SELECT *
 FROM information_schema.old_table_constraints;
 CONSTRAINT_CATALOG	CONSTRAINT_SCHEMA	CONSTRAINT_NAME	TABLE_SCHEMA	TABLE_NAME	CONSTRAINT_TYPE
-SELECT table_schema, table_name
-FROM data_dictionary.tables
-WHERE table_schema="data_dictionary"
-ORDER BY table_name;
-table_schema	table_name

=== modified file 'tests/r/show_check.result'
--- tests/r/show_check.result	2010-02-12 08:22:06 +0000
+++ tests/r/show_check.result	2010-02-17 23:34:16 +0000
@@ -57,19 +57,19 @@
 show variables like "server_id%";
 Catalog	Database	Table	Table_alias	Column	Column_alias	Type	Length	Max length	Is_null	Flags	Decimals	Charsetnr
 def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_NAME	Variable_name	8	256	9	N	1	0	45
-def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_VALUE	Value	8	65200	1	N	1	0	45
+def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_VALUE	Value	8	4096	1	N	1	0	45
 Variable_name	Value
 server_id	1
 show variables like "SERVER_id%";
 Catalog	Database	Table	Table_alias	Column	Column_alias	Type	Length	Max length	Is_null	Flags	Decimals	Charsetnr
 def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_NAME	Variable_name	8	256	9	N	1	0	45
-def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_VALUE	Value	8	65200	1	N	1	0	45
+def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_VALUE	Value	8	4096	1	N	1	0	45
 Variable_name	Value
 server_id	1
 show variables like "this_doesn't_exists%";
 Catalog	Database	Table	Table_alias	Column	Column_alias	Type	Length	Max length	Is_null	Flags	Decimals	Charsetnr
 def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_NAME	Variable_name	8	256	0	N	1	0	45
-def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_VALUE	Value	8	65200	0	N	1	0	45
+def	data_dictionary	session_variables	SESSION_VARIABLES	VARIABLE_VALUE	Value	8	4096	0	N	1	0	45
 Variable_name	Value
 show table status from test like "this_doesn't_exists%";
 Catalog	Database	Table	Table_alias	Column	Column_alias	Type	Length	Max length	Is_null	Flags	Decimals	Charsetnr

=== modified file 'tests/r/status.result'
--- tests/r/status.result	2010-02-15 18:29:31 +0000
+++ tests/r/status.result	2010-02-17 23:34:16 +0000
@@ -52,20 +52,20 @@
 1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	21.999000
+Last_query_cost	21.999
 EXPLAIN SELECT a FROM t1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	#	
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	21.999000
+Last_query_cost	21.999
 SELECT a FROM t1 UNION SELECT a FROM t1 ORDER BY a;
 a
 1
 2
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	21.999000
+Last_query_cost	21.999
 EXPLAIN SELECT a FROM t1 UNION SELECT a FROM t1 ORDER BY a;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	PRIMARY	t1	ALL	NULL	NULL	NULL	NULL	#	
@@ -73,23 +73,23 @@
 NULL	UNION RESULT	<union1,2>	ALL	NULL	NULL	NULL	NULL	#	Using filesort
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	21.999000
+Last_query_cost	21.999
 SELECT a IN (SELECT a FROM t1) FROM t1 LIMIT 1;
 a IN (SELECT a FROM t1)
 1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	21.999000
+Last_query_cost	21.999
 SELECT (SELECT a FROM t1 LIMIT 1) x FROM t1 LIMIT 1;
 x
 1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	21.999000
+Last_query_cost	21.999
 SELECT * FROM t1 a, t1 b LIMIT 1;
 a	a
 1	1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	21.999000
+Last_query_cost	21.999
 DROP TABLE t1;

=== modified file 'tests/r/variables.result'
--- tests/r/variables.result	2010-02-12 08:22:06 +0000
+++ tests/r/variables.result	2010-02-17 23:34:16 +0000
@@ -213,13 +213,13 @@
 innodb_use_sys_malloc	ON
 query_alloc_block_size	8192
 query_prealloc_size	8192
-range_alloc_block_size	8192
+range_alloc_block_size	4096
 select * from data_dictionary.session_variables where variable_name like '%alloc%';
 VARIABLE_NAME	VARIABLE_VALUE
 innodb_use_sys_malloc	ON
 query_alloc_block_size	8192
 query_prealloc_size	8192
-range_alloc_block_size	8192
+range_alloc_block_size	4096
 set @@range_alloc_block_size=1024*16;
 set @@query_alloc_block_size=1024*17+2;
 set @@query_prealloc_size=1024*18;
@@ -231,13 +231,13 @@
 innodb_use_sys_malloc	ON
 query_alloc_block_size	17408
 query_prealloc_size	18432
-range_alloc_block_size	18432
+range_alloc_block_size	16384
 select * from data_dictionary.session_variables where variable_name like '%alloc%';
 VARIABLE_NAME	VARIABLE_VALUE
 innodb_use_sys_malloc	ON
 query_alloc_block_size	17408
 query_prealloc_size	18432
-range_alloc_block_size	18432
+range_alloc_block_size	16384
 set @@range_alloc_block_size=default;
 set @@query_alloc_block_size=default, @@query_prealloc_size=default;
 show variables like '%alloc%';
@@ -245,13 +245,13 @@
 innodb_use_sys_malloc	ON
 query_alloc_block_size	8192
 query_prealloc_size	8192
-range_alloc_block_size	8192
+range_alloc_block_size	4096
 select * from data_dictionary.session_variables where variable_name like '%alloc%';
 VARIABLE_NAME	VARIABLE_VALUE
 innodb_use_sys_malloc	ON
 query_alloc_block_size	8192
 query_prealloc_size	8192
-range_alloc_block_size	8192
+range_alloc_block_size	4096
 SELECT @@version LIKE 'non-existent';
 @@version LIKE 'non-existent'
 0

=== modified file 'tests/t/information_schema.test'
--- tests/t/information_schema.test	2010-02-17 07:49:18 +0000
+++ tests/t/information_schema.test	2010-02-17 23:34:16 +0000
@@ -190,9 +190,9 @@
 from information_schema.old_columns where table_name='t1';
 drop table t1;
 
-#
-# Bug#15307 GROUP_CONCAT() with ORDER BY returns empty set on information_schema
-#
+##
+## Bug#15307 GROUP_CONCAT() with ORDER BY returns empty set on information_schema
+##
 select column_type, group_concat(table_schema, '.', table_name), count(*) as num
 from information_schema.old_columns where
 table_schema='information_schema' and
@@ -266,17 +266,17 @@
   WHERE table_name=(SELECT MAX(table_name)
                       FROM data_dictionary.tables)
   ORDER BY table_name;
-#
+
 # Bug#23299 Some queries against INFORMATION_SCHEMA with subqueries fail
 #
 create table t1 (f1 int);
 create table t2 (f1 int, f2 int);
 
-select table_name from data_dictionary.tables
-where table_schema = 'test' and table_name not in
-(select table_name from information_schema.old_columns
- where table_schema = 'test' and column_name = 'f3')
-ORDER BY table_name;
+#select table_name from data_dictionary.tables
+#where table_schema = 'test' and table_name not in
+#(select table_name from information_schema.old_columns
+# where table_schema = 'test' and column_name = 'f3')
+#ORDER BY table_name;
 
 drop table t1,t2;
 
@@ -326,7 +326,7 @@
   f7 datetime not null,
   f8 datetime default '2006-01-01'
 );
-select column_default from information_schema.old_columns where table_name= 't1' ORDER BY column_default;
+#select column_default from information_schema.old_columns where table_name= 't1' ORDER BY column_default;
 show columns from t1;
 drop table t1;
 
@@ -388,11 +388,11 @@
 #
 # perform a query on COLUMNS
 #
-SELECT table_name, column_name
-FROM data_dictionary.columns
-WHERE table_name IN
-(SELECT table_name FROM data_dictionary.tables )
-ORDER BY table_name;
+#SELECT table_name, column_name
+#FROM data_dictionary.columns
+#WHERE table_name IN
+#(SELECT table_name FROM data_dictionary.tables )
+#ORDER BY table_name;
 
 #
 # perform a query on KEY_COLUMN_USAGE
@@ -409,23 +409,9 @@
 #
 # query the SCHEMATA table
 #
---replace_column 1 #
-SELECT count(schema_name) FROM data_dictionary.schemas ORDER BY schema_name;
-
---replace_column 1 # 2 #
-SELECT *
-FROM data_dictionary.session_variables
-ORDER BY variable_name;
-
---replace_column 1 # 2 #
-SELECT *
-FROM data_dictionary.global_status
-ORDER BY variable_name;
-
---replace_column 1 # 2 #
-SELECT *
-FROM data_dictionary.global_variables
-ORDER BY variable_name;
+#--replace_column 1 #
+#SELECT count(schema_name) FROM data_dictionary.schemas ORDER BY schema_name;
+#
 
 #
 # query TABLE_CONSTRAINTS table
@@ -436,7 +422,7 @@
 #
 # query TABLES
 #
-SELECT table_schema, table_name
-FROM data_dictionary.tables
-WHERE table_schema="data_dictionary"
-ORDER BY table_name;
+#SELECT table_schema, table_name
+#FROM data_dictionary.tables
+#WHERE table_schema="data_dictionary"
+#ORDER BY table_name;

